﻿using System;
using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 바 1
        /// </summary>
        private Bar bar1;

        /// <summary>
        /// 바 2
        /// </summary>
        private Bar bar2;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Bar 클래스 : Brush 속성을 사용해 바 이미지 사용하기";

            this.usePatternCheckBox.Checked = true;

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            this.bar1 = new Bar();

            this.bar1.Brush.Image = Properties.Resources.sample1;

            bar1.FillSampleValues(3);

            this.tChart.Series.Add(this.bar1);

            this.bar2 = new Bar();

            this.bar2.Brush.Image = Properties.Resources.sample2;

            bar2.FillSampleValues(3);

            this.tChart.Series.Add(this.bar2);

            this.usePatternCheckBox.CheckedChanged += usePatternCheckBox_CheckedChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 패턴 사용 체크 박스 체크 변경시 처리하기 - usePatternCheckBox_CheckedChanged(sender, e)

        /// <summary>
        /// 패턴 사용 체크 박스 체크 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void usePatternCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            if(this.usePatternCheckBox.Checked)
            {
                this.bar1.Brush.Image = Properties.Resources.sample1;
                this.bar2.Brush.Image = Properties.Resources.sample2;
            }
            else
            {
                this.bar1.Brush.Image = null;
                this.bar2.Brush.Image = null;
            }
        }

        #endregion
    }
}